Package ru.bitel.bgbilling.plugins.helpdesk.common.bean

# Class Topic

java.lang.Object
ru.bitel.bgbilling.plugins.helpdesk.common.bean.Topic

public class Topic extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String[]`
  `commPrefix`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Topic()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCategoryId()`
  `int`
  `getChargeId()`
  `int`
  `getComm()`
  `String`
  `getCommValue()`
  `String`
  `getContract()`
  `String`
  `getContractComment()`
  `int`
  `getContractId()`
  `int`
  `getContractPackageId()`
  `BigDecimal`
  `getCost()`
  `Date`
  `getDate()`
  `Date`
  `getDateClose()`
  `int`
  `getId()`
  `Date`
  `getLastMessageDate()`
  `int`
  `getMessageCount()`
  `int`
  `getMessageNewManagerCount()`
  `int`
  `getMessageNewUserCount()`
  `List<Message>`
  `getMessages()`
  `long`
  `getSecondsFromLastMessage()`
  `int`
  `getStatus()`
  `int`
  `getSubcategoryId()`
  `String`
  `getTitle()`
  `int`
  `getUserId()`
  `String`
  `getUserName()`
  `boolean`
  `isAutoClose()`
  `boolean`
  `isClosed()`
  `void`
  `setAutoClose(boolean autoClose)`
  `void`
  `setCategoryId(int categoryId)`
  `void`
  `setChargeId(int chargeId)`
  `void`
  `setClosed(boolean closed)`
  `void`
  `setComm(int comm)`
  `void`
  `setCommValue(String commValue)`
  `void`
  `setContract(String contract)`
  `void`
  `setContractComment(String contractComment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setContractPackageId(int contractPackageId)`
  `void`
  `setCost(BigDecimal cost)`
  `void`
  `setDate(Date date)`
  `void`
  `setDateClose(Date dateClose)`
  `void`
  `setId(int id)`
  `void`
  `setLastMessageDate(Date date)`
  `void`
  `setMessageCount(int messageCount)`
  `void`
  `setMessageNewManagerCount(int messageNewManagerCount)`
  `void`
  `setMessageNewUserCount(int messageNewUserCount)`
  `void`
  `setStatus(int status)`
  `void`
  `setSubcategoryId(int subcategoryId)`
  `void`
  `setTitle(String title)`
  `void`
  `setUserId(int userId)`
  `void`
  `setUserName(String userName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### commPrefix

    public static String[] commPrefix

- ## Constructor Details

  - ### Topic

    public Topic()

- ## Method Details

  - ### isAutoClose

    public boolean isAutoClose()

  - ### setAutoClose

    public void setAutoClose(boolean autoClose)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getChargeId

    public int getChargeId()

  - ### setChargeId

    public void setChargeId(int chargeId)

  - ### getCost

    public BigDecimal getCost()

  - ### setCost

    public void setCost(BigDecimal cost)

  - ### isClosed

    public boolean isClosed()

  - ### setClosed

    public void setClosed(boolean closed)

  - ### getComm

    public int getComm()

  - ### setComm

    public void setComm(int comm)

  - ### getCommValue

    public String getCommValue()

  - ### setCommValue

    public void setCommValue(String commValue)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### getDateClose

    public Date getDateClose()

  - ### setDateClose

    public void setDateClose(Date dateClose)

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getMessages

    public List<Message> getMessages()

  - ### getContract

    public String getContract()

  - ### setContract

    public void setContract(String contract)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getUserName

    public String getUserName()

  - ### setUserName

    public void setUserName(String userName)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getContractPackageId

    public int getContractPackageId()

  - ### setContractPackageId

    public void setContractPackageId(int contractPackageId)

  - ### getMessageCount

    public int getMessageCount()

  - ### setMessageCount

    public void setMessageCount(int messageCount)

  - ### getMessageNewManagerCount

    public int getMessageNewManagerCount()

  - ### setMessageNewManagerCount

    public void setMessageNewManagerCount(int messageNewManagerCount)

  - ### getMessageNewUserCount

    public int getMessageNewUserCount()

  - ### setMessageNewUserCount

    public void setMessageNewUserCount(int messageNewUserCount)

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public void setContractComment(String contractComment)

  - ### setLastMessageDate

    public void setLastMessageDate(Date date)

  - ### getLastMessageDate

    public Date getLastMessageDate()

  - ### setCategoryId

    public void setCategoryId(int categoryId)

  - ### getCategoryId

    public int getCategoryId()

  - ### setSubcategoryId

    public void setSubcategoryId(int subcategoryId)

  - ### getSubcategoryId

    public int getSubcategoryId()

  - ### getSecondsFromLastMessage

    public long getSecondsFromLastMessage()